net.sf.okapi.common.resource

## Enum TextFragment.TagType

- java.lang.Object
- - java.lang.Enum<TextFragment.TagType>
  - - net.sf.okapi.common.resource.TextFragment.TagType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<TextFragment.TagType>
  Enclosing class:
    TextFragment

      public static enum TextFragment.TagType
      extends java.lang.Enum<TextFragment.TagType>

  List of the types of tag usable for in-line codes.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CLOSING`
    `OPENING`
    `PLACEHOLDER`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TextFragment.TagType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TextFragment.TagType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### OPENING

          public static final TextFragment.TagType OPENING

    - #### CLOSING

          public static final TextFragment.TagType CLOSING

    - #### PLACEHOLDER

          public static final TextFragment.TagType PLACEHOLDER

  - ### Method Detail

    - #### values

          public static TextFragment.TagType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TextFragment.TagType c : TextFragment.TagType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TextFragment.TagType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null